#mii-personality-tool-module {
  font-family: Arial, Sans-Serif;
  max-width: 40rem;
  background: white;
  padding-bottom: 1rem;
  border: 3px solid black;
  position: relative;
  z-index: 0;
}

#mii-personality-tool-module .slider-panels {
    display: flex;
    flex-direction: column;
    align-content: center;
    align-items: center;
}

#mii-personality-tool-module .slider-section {
    max-width:32rem;
    padding-bottom: 1rem;
}

#mii-personality-tool-module .personality-check {
    display: flex;
    flex-direction: column;
    align-content: center;
    align-items: center;
}

#mii-personality-tool-module .header {
  display: flex;
  justify-content: center;
}

#mii-personality-tool-module .header p {
    margin-bottom: 0;
    margin-top: 1rem;
}

#mii-personality-tool-module .footer {
  justify-content: space-between;
  gap: 12px;
  margin-top: -2px;
  display: flex;
}

#mii-personality-tool-module .slider-block {
  flex-direction: column;
  gap: 5px;
  display: flex;
}

#mii-personality-tool-module .slider-row {
  display: block;
}

#mii-personality-tool-module .slider-pips {
  grid-template-columns: repeat(8, minmax(0,35px));
  display: grid;
  justify-items: center;
}

#mii-personality-tool-module .slider-segment {
  appearance: none;
  cursor: pointer;
  border-radius: 8px;
  border-color: #d06100;
  border-width: 4px;
  height: 30px;
  width: 30px;
  padding: 1;
  display: grid;
}

/* idk what to name this */
#mii-personality-tool-module .main-group-title {
    background: gray;
    padding: 8px;
    width: 10rem;
    border-top-right-radius: 2rem;
    border-bottom-right-radius: 2rem;
    text-align: center;
}

#mii-personality-tool-module .main-group-title h3 {
    margin: 0;
    text-shadow: -1px -1px 0 #ffffff, 
                  1px -1px 0 #ffffff, 
                  -1px 1px 0 #ffffff, 
                  1px 1px 0 #ffffff;
    font-size: 32px;
    font-weight:normal;
}

#mii-personality-tool-module .main-group-desc {
    background: lightgray;
    border: 5px solid #818181;
    position: relative;
    bottom: 2rem;
    width: 20rem;
    height: 5rem;
    z-index: -1;
    border-top-right-radius: 2rem;
}

#mii-personality-tool-module .main-group-desc p {
    margin: 40px 0 0 0;
    padding-left: 20px;
}

#mii-personality-tool-module .personality-group-title {
    background: gray;
    padding: 8px;
    width: 10rem;
    position: relative;
    left: 154px;
    border-top-left-radius: 2rem;
    border-bottom-left-radius: 2rem;
    text-align: center;
}

#mii-personality-tool-module .personality-group-title h3 {
    margin: 0;
    text-shadow: -1px -1px 0 #ffffff, 
                  1px -1px 0 #ffffff, 
                  -1px 1px 0 #ffffff, 
                  1px 1px 0 #ffffff;
    font-size: 32px;
    font-weight:normal;
}

#mii-personality-tool-module .personality-group-desc {
    background: lightgray;
    border: 5px solid #818181;
    position: relative;
    bottom: 2rem;
    width: 20rem;
    height: 5rem;
    z-index: -1;
    border-top-left-radius: 2rem;
    border-bottom-left-radius: 2rem;
}

#mii-personality-tool-module .personality-group-desc p {
    margin: 40px 0 0 0;
    padding-left: 20px;
}

/* colors */
#mii-personality-tool-module .slider-segment[aria-label="Movement1"],
#mii-personality-tool-module .slider-segment[aria-label="Movement8"],
#mii-personality-tool-module .slider-segment[aria-label="Speech1"],
#mii-personality-tool-module .slider-segment[aria-label="Speech8"],
#mii-personality-tool-module .slider-segment[aria-label="Expressiveness1"],
#mii-personality-tool-module .slider-segment[aria-label="Expressiveness8"],
#mii-personality-tool-module .slider-segment[aria-label="Attitude1"],
#mii-personality-tool-module .slider-segment[aria-label="Attitude8"] {
  background: #f07000;
}

#mii-personality-tool-module .slider-segment[aria-label="Movement2"],
#mii-personality-tool-module .slider-segment[aria-label="Movement7"],
#mii-personality-tool-module .slider-segment[aria-label="Speech2"],
#mii-personality-tool-module .slider-segment[aria-label="Speech7"],
#mii-personality-tool-module .slider-segment[aria-label="Expressiveness2"],
#mii-personality-tool-module .slider-segment[aria-label="Expressiveness7"],
#mii-personality-tool-module .slider-segment[aria-label="Attitude2"],
#mii-personality-tool-module .slider-segment[aria-label="Attitude7"] {
  background: #ffa150;
}

#mii-personality-tool-module .slider-segment[aria-label="Movement3"],
#mii-personality-tool-module .slider-segment[aria-label="Movement6"],
#mii-personality-tool-module .slider-segment[aria-label="Speech3"],
#mii-personality-tool-module .slider-segment[aria-label="Speech6"],
#mii-personality-tool-module .slider-segment[aria-label="Expressiveness3"],
#mii-personality-tool-module .slider-segment[aria-label="Expressiveness6"],
#mii-personality-tool-module .slider-segment[aria-label="Attitude3"],
#mii-personality-tool-module .slider-segment[aria-label="Attitude6"] {
  background: #ffc999;
}

#mii-personality-tool-module .slider-segment[aria-label="Movement4"],
#mii-personality-tool-module .slider-segment[aria-label="Movement5"],
#mii-personality-tool-module .slider-segment[aria-label="Speech4"],
#mii-personality-tool-module .slider-segment[aria-label="Speech5"],
#mii-personality-tool-module .slider-segment[aria-label="Expressiveness4"],
#mii-personality-tool-module .slider-segment[aria-label="Expressiveness5"],
#mii-personality-tool-module .slider-segment[aria-label="Attitude4"],
#mii-personality-tool-module .slider-segment[aria-label="Attitude5"] {
  background: #ffe0c5;
}

/* label movement */
#mii-personality-tool-module .slider-segment[aria-label="Movement1"]::before {
  font-family: Arial, Sans-Serif;
  content: "Slow";
  position: relative;
  left: -51px;
  bottom: -2px;
  font-size: 18px;
}

#mii-personality-tool-module .slider-segment[aria-label="Movement8"]::after {
  font-family: Arial, Sans-Serif;
  content: "Quick";
  position: relative;
  right: -35px;
  bottom: -2px;
  font-size: 18px;
}

/* label speech */
#mii-personality-tool-module .slider-segment[aria-label="Speech1"]::before {
  font-family: Arial, Sans-Serif;
  content: "Polite";
  position: relative;
  left: -57px;
  bottom: -2px;
  font-size: 18px;
}

#mii-personality-tool-module .slider-segment[aria-label="Speech8"]::after {
  font-family: Arial, Sans-Serif;
  content: "Direct";
  position: relative;
  right: -35px;
  bottom: -2px;
  font-size: 18px;
}

/* label expressiveness */
#mii-personality-tool-module .slider-segment[aria-label="Expressiveness1"]::before {
  font-family: Arial, Sans-Serif;
  content: "Flat";
  position: relative;
  left: -44px;
  bottom: -2px;
  font-size: 18px;
}

#mii-personality-tool-module .slider-segment[aria-label="Expressiveness8"]::after {
  font-family: Arial, Sans-Serif;
  content: "Varied";
  position: relative;
  right: -35px;
  bottom: -2px;
  font-size: 18px;
}

/* label attitude */
#mii-personality-tool-module .slider-segment[aria-label="Attitude1"]::before {
  font-family: Arial, Sans-Serif;
  content: "Serious";
  position: relative;
  left: -76px;
  bottom: -2px;
  font-size: 18px;
}

#mii-personality-tool-module .slider-segment[aria-label="Attitude8"]::after {
  font-family: Arial, Sans-Serif;
  content: "Relaxed";
  position: relative;
  right: -35px;
  bottom: -2px;
  font-size: 18px;
}